import { compile, VNScene, VNSceneBasisPart } from "./vnscene.ts";

const squeak: VNSceneBasisPart = {
  type: "message",
  text: "...",
  sfx: "squeak.mp3",
};

export const sceneBat: VNScene = compile([
  squeak,
  "I didn't.",
  "I tried to, but --",
  squeak,
  "Well, you know what they say.",
  "But I didn't disappear, right?",
  "I'm still here.",
  squeak,
  "That's actually _why_ I stopped.",
  "Talking is --",
  squeak,
  "Well. You know.",
  squeak,
]);

const doorbell: VNSceneBasisPart = {
  type: "message",
  text: "...",
  sfx: "doorbell.mp3",
};

export const sceneStealth: VNScene = compile([
  doorbell,
  "Yeah, you can let yourself in.",
  doorbell,
  "I'll have it moved.",
  "Just -- don't call Susan, OK?",
  doorbell,
  "Believe me, I'm good for the money.",
  "I'm doing... a lot better than it looks like.",
  doorbell,
  "The fangs? They're not real.",
  "I'm just like you.",
  doorbell,
]);

const phoneBeep: VNSceneBasisPart = {
  type: "message",
  text: "...",
  sfx: "phonebeep.mp3",
};

export const sceneCharm: VNScene = compile([
  phoneBeep,
  "How do I sound?",
  phoneBeep,
  "*chuckle*",
  "Sorry. I didn't plan ahead of time.",
  "We're not on the air?",
  phoneBeep,
  "Well, I want a song.",
  "Can you put me through?",
  phoneBeep,
  "I really want it.",
  "It's for my boyfriend. First boyfriend, sorry.",
  phoneBeep,
  "*chuckle*",
  "Yeah. I guess I do.",
  "Is that bad?",
  phoneBeep,
]);

const sleepyBreath: VNSceneBasisPart = {
  type: "message",
  text: "...",
  sfx: "sleepyBreath.mp3",
};

export const sceneStare: VNScene = compile([
  sleepyBreath,
  "Don't wake up.",
  "You're home.",
  "A lot of things have been happening pretty fast.",
  sleepyBreath,
  "You have a lot of friends. You stick together.",
  "You didn't have that when you were younger.",
  sleepyBreath,
  "It's not bad when things change.",
  "And all that other stuff. It was a long time ago.",
  "I couldn't really stop myself...",
  sleepyBreath,
]);

const party: VNSceneBasisPart = {
  type: "message",
  text: "...",
  sfx: "party.mp3",
};

export const sceneParty: VNScene = compile([
  party, // party noises
  "IT'S LOUD?",
  party, // party noises
  "I KNOW.",
  party, // party noises
  "LISTEN, I --",
  party, // party noises
  "IF I DON'T SEE YOU AGAIN, I --",
  party, // party noises
]);

const ghost: VNSceneBasisPart = {
  type: "message",
  text: "...",
  sfx: "ghost.mp3",
};

export const sceneLore: VNScene = compile([
  ghost,
  "Oh yeah, I canceled those.",
  ghost,
  "I'll tell you the answers later.",
  "I guess if I said it now that would be --",
  "It'd be like cheating, right?",
  ghost,
  "Don't say that! I visit you, don't I?",
  ghost,
  "Yeah. They remember.",
  ghost,
]);
